
Redmine - Patch #26139

Follow Gemfile's plugin loader as #24007

2017-06-12 11:31 - Sho HASHIMOTO

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Description

Plugin's Gemfile can't settable from Redmine::Plugin.directory yet.

Related issues:

Related to Redmine - Patch #13927: Reduce coupling between plugins and the "p... New

Blocks Redmine - Patch #24007: Change plugins directory through the configura... Reopened

Associated revisions

Revision 16666 - 2017-06-17 09:31 - Jean-Philippe Lang

Change plugins directory through the configuration.yml file (#24007, #26139).

Patch by Sho HASHIMOTO

Revision 16669 - 2017-06-17 09:50 - Jean-Philippe Lang

Reverts r16666 that prevents Redmine to start.

[!] There was an error parsing `Gemfile`: uninitialized constant Bundler::Dsl::R

edmine. Bundler cannot continue.

History

#1 - 2017-06-12 11:34 - Go MAEDA

- Blocks Patch #24007: Change plugins directory through the configuration.yml file added

#2 - 2017-06-17 09:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#3 - 2017-06-17 09:48 - Jean-Philippe Lang

- Status changed from Closed to Reopened

Patch reverted, Redmine no longer starts: [!] There was an error parsing `Gemfile`: uninitialized constant Bundler::Dsl::R

edmine. Bundler cannot continue.

#4 - 2017-06-17 12:45 - Jean-Philippe Lang

To support this, Redmine configuration should be loaded before bundler setup and thus, before Rails is loaded.

#5 - 2017-06-17 13:15 - Sho HASHIMOTO

oh...sorry to attach wrong patch.

hmm...I can see no alternative idea but to parse Redmine configuration on setting plugins directory.

#6 - 2017-06-18 13:57 - Mischa The Evil

- Related to Patch #13927: Reduce coupling between plugins and the "plugins/" directory added

#7 - 2017-06-18 13:57 - Mischa The Evil

- Category changed from Issues to Plugin API
